package org.project.item.consumables;

import org.project.entity.Entity;
import org.project.item.Item;

public abstract class Consumable implements Item {
    protected int healAmount;
    protected int manaAmount;

    public  Consumable(){
        this.healAmount = healAmount;
        this.manaAmount = manaAmount;
    }

    @Override
    public void use(Entity target){
        target.heal(healAmount);
        target.fillMana(manaAmount);
    }
}
